Bug 64379 - user cron job not running for users in LDAP directory
user cron job not running for users in LDAP directory
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: vixie-cron (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Brock Organ
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-03 01:22 EDT by David Vu
Modified: 2007-04-18 12:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-22 12:08:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Vu 2002-05-03 01:22:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; T312461)

Description of problem:
User exists in LDAP directory.  PAM/NSS_LDAP is installed and authconfig is 
used to specify authentication/NSS via local LDAP server.  User is not in 
local /etc/passwd, but $ getent user <uid> shows users exists.  Cron job for 
user is added but cron fails to run job.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. crontab -u <uid> -e, create job to run every minute
2. write crontab 
3. tail -f /var/log/cron


Actual Results:  1. observe the following messages in /var/log/cron

May  3 14:22:27 lattice crontab[9203]: (root) BEGIN EDIT (dtv) 
May  3 14:22:47 lattice crontab[9203]: (root) REPLACE (dtv) 
May  3 14:22:47 lattice crontab[9203]: (root) END EDIT (dtv) 
May  3 14:23:00 lattice crond[887]: (dtv) ORPHAN (no passwd entry) 

2. job does not get run and is ignored.	

Expected Results:  May  3 14:24:00 lattice CROND[9290]: (dtv) CMD 
(/home/dtv/bin/crontest.sh) 

Additional info:

The problem only manifests itself if nscd is run or restarted after crond.  If 
both crond and nscd are stopped, then nscd is started followed by crond, the 
problem is not present.

ie. work-around: stop crond, start nscd if not already running, start crond.

It appears that crond wants to check the userpassword and can't find the 
password field for the user, and nscd caches and supplies this information for 
users in the LDAP directory.
Comment 1 Jason Vas Dias 2005-06-03 18:52:36 EDT
Just clearing out old bugs here.
This bug is now fixed with current versions of cron and nss_ldap.
Comment 2 R P Herrold 2006-10-30 09:16:05 EST
clearly it is _not_ yet fixed -- a change in the initscippts with a condrestart
might -- but manual intervention, and a deferral, still existing after four
years is not a fix

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=206140
Comment 3 Bill Nottingham 2006-11-22 12:08:11 EST
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please open a new issue against Fedora Core, and the correct
version. Thanks again for your help.

Note You need to log in before you can comment on or make changes to this bug.